For the complete documentation index, see llms.txt. This page is also available as Markdown.

OHLCV only

This data is included in the following Kaiko packages:

  • Level 1 & Level 2 Data [Level 1 Aggregations]

  • Level 1 & Level 2 Data [Level 1 Tick-Level]

  • Level 1 & Level 2 Data [Level 2 Aggregations]

  • Level 1 & Level 2 Data [Level 2 Tick-Level]

DeFi spot ticker packs.

What is this endpoint for?

This endpoint retrieves the OHLCV history for an instrument on an exchange.

Endpoint

https://<eu|us>.market-api.kaiko.io/v2/data/trades.v1/exchanges/{exchange}/{instrument_class}/{instrument}/aggregations/ohlcv

Path Parameters

Parameter
Required?
Description

region

Yes

Choose between eu and us.

exchange

Yes

Exchange code.

See

instrument_class

Yes

Instrument class. See

instrument

Yes

Instrument code. See

Query Parameters

Parameter
Required
Description

end_time

No

Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.

continuation_token

No

See Pagination

interval

No

The interval parameter is suffixed with s, m, h or d to specify seconds, minutes, hours or days, respectively. Any arbitrary value between one second and one day can be used, as long as it sums up to a maximum of 1 day. The suffixes are s (second), m (minute), h (hour) and d (day). Default 1d.

page_size

No

(min: 1, default: 100, max: 100000). See Pagination Automatically included in continuation tokens.

start_time

No

Starting time in ISO 8601 (inclusive).

sort

No

Return the data in ascending (asc) or descending (desc) order. Default desc Automatically included in continuation tokens.

Fields

Field
Description

timestamp

Timestamp at which the interval begins.

open

Opening price of interval. null when no trades reported.

high

Highest price during interval. null when no trades reported.

low

Lowest price during interval. null when no trades reported.

close

Closing price of interval. null when no trades reported.

volume

Volume traded in interval. 0 when no trades reported.

Request examples

Information from this endpoint can be accessed through Google BigQuery. To get started, read our guide.

Response example

Last updated

Was this helpful?